Package com.ocient.jdbc.proto

# Interface PlanProtocol.HashJoinOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.HashJoinOperator`, `PlanProtocol.HashJoinOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.HashJoinOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getCbc()` | flags indicating that this is actually a correlated count bug correction join
`String` | `getCheckedExceptionCols​(int index)` | 13 and 14 defined above
`com.google.protobuf.ByteString` | `getCheckedExceptionColsBytes​(int index)` | 13 and 14 defined above
`int` | `getCheckedExceptionColsCount()` | 13 and 14 defined above
`List<String>` | `getCheckedExceptionColsList()` | 13 and 14 defined above
`PlanProtocol.Disjunction` | `getFilters​(int index)` | Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`int` | `getFiltersCount()` | Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`List<PlanProtocol.Disjunction>` | `getFiltersList()` | Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`PlanProtocol.DisjunctionOrBuilder` | `getFiltersOrBuilder​(int index)` | Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getFiltersOrBuilderList()` | Any additional filters that have to be applied to the join If there are more than 2 children, it will be empty
`boolean` | `getGdcJoin()` | Whether or not this is a gdc join
`boolean` | `getImplicitProjs​(int index)` | [ONLY IF GDCJOIN] implicitly project gdc keys [(for left child, for right child), ...] each
`int` | `getImplicitProjsCount()` | [ONLY IF GDCJOIN] implicitly project gdc keys [(for left child, for right child), ...] each
`List<Boolean>` | `getImplicitProjsList()` | [ONLY IF GDCJOIN] implicitly project gdc keys [(for left child, for right child), ...] each
`boolean` | `getImplicitValProjs​(int index)` | [ONLY IF GDCJOIN] implicitly project gdc vals for each lookup child
`int` | `getImplicitValProjsCount()` | [ONLY IF GDCJOIN] implicitly project gdc vals for each lookup child
`List<Boolean>` | `getImplicitValProjsList()` | [ONLY IF GDCJOIN] implicitly project gdc vals for each lookup child
`PlanProtocol.JoinCols` | `getJoinCols​(int index)` | Each entry represents the equijoin columns for one child, they are in order of the children
`int` | `getJoinColsCount()` | Each entry represents the equijoin columns for one child, they are in order of the children
`List<PlanProtocol.JoinCols>` | `getJoinColsList()` | Each entry represents the equijoin columns for one child, they are in order of the children
`PlanProtocol.JoinColsOrBuilder` | `getJoinColsOrBuilder​(int index)` | Each entry represents the equijoin columns for one child, they are in order of the children
`List<? extends PlanProtocol.JoinColsOrBuilder>` | `getJoinColsOrBuilderList()` | Each entry represents the equijoin columns for one child, they are in order of the children
`boolean` | `getLookupOutputsReplacementCol​(int index)` | [ONLY IF GDCJOIN] mark which lookup children output specially named replacement cols at the back of this op's outputColumns
`int` | `getLookupOutputsReplacementColCount()` | [ONLY IF GDCJOIN] mark which lookup children output specially named replacement cols at the back of this op's outputColumns
`List<Boolean>` | `getLookupOutputsReplacementColList()` | [ONLY IF GDCJOIN] mark which lookup children output specially named replacement cols at the back of this op's outputColumns
`boolean` | `getMatchNullKeys()` | Whether or not this join is matching null keys
`long` | `getMatchNullKeysIdxes​(int index)` | Which equi join conditions match null keys? The index here corresponds to join col position in join_cols
`int` | `getMatchNullKeysIdxesCount()` | Which equi join conditions match null keys? The index here corresponds to join col position in join_cols
`List<Long>` | `getMatchNullKeysIdxesList()` | Which equi join conditions match null keys? The index here corresponds to join col position in join_cols
`boolean` | `getProductMultiplex()` | Should we use a product multiplexer instead of a hash join multiplexer?
`boolean` | `getScalar()` | `bool scalar = 5;`
`PlanProtocol.JoinType` | `getType()` | Type of the join - if there are more than 2 children, it will be INNER
`int` | `getTypeValue()` | Type of the join - if there are more than 2 children, it will be INNER
`boolean` | `getZero()` | `bool zero = 6;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getJoinColsList

List<PlanProtocol.JoinCols> getJoinColsList()

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

### getJoinCols

PlanProtocol.JoinCols getJoinCols​(int index)

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

### getJoinColsCount

int getJoinColsCount()

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

### getJoinColsOrBuilderList

List<? extends PlanProtocol.JoinColsOrBuilder> getJoinColsOrBuilderList()

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

### getJoinColsOrBuilder

PlanProtocol.JoinColsOrBuilder getJoinColsOrBuilder​(int index)

    Each entry represents the equijoin columns for one child, they are in order of the children

`repeated .xg.db.sqlPlans.JoinCols join_cols = 1;`

### getFiltersList

List<PlanProtocol.Disjunction> getFiltersList()

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

### getFilters

PlanProtocol.Disjunction getFilters​(int index)

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

### getFiltersCount

int getFiltersCount()

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

### getFiltersOrBuilderList

List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

### getFiltersOrBuilder

PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Any additional filters that have to be applied to the join
    If there are more than 2 children, it will be empty

`repeated .xg.db.sqlPlans.Disjunction filters = 2;`

### getTypeValue

int getTypeValue()

    Type of the join - if there are more than 2 children, it will be INNER

`.xg.db.sqlPlans.JoinType type = 3;`

### getType

PlanProtocol.JoinType getType()

    Type of the join - if there are more than 2 children, it will be INNER

`.xg.db.sqlPlans.JoinType type = 3;`

### getCbc

boolean getCbc()

    flags indicating that this is actually a correlated count bug correction join

`bool cbc = 4;`

### getScalar

boolean getScalar()
`bool scalar = 5;`

### getZero

boolean getZero()
`bool zero = 6;`

### getGdcJoin

boolean getGdcJoin()

    Whether or not this is a gdc join

`bool gdcJoin = 7;`

### getMatchNullKeys

boolean getMatchNullKeys()

    Whether or not this join is matching null keys

`bool matchNullKeys = 8;`

### getImplicitProjsList

List<Boolean> getImplicitProjsList()

     [ONLY IF GDCJOIN] implicitly project gdc keys [(for left child, for right child), ...] each

`repeated bool implicit_projs = 9;`

### getImplicitProjsCount

int getImplicitProjsCount()

     [ONLY IF GDCJOIN] implicitly project gdc keys [(for left child, for right child), ...] each

`repeated bool implicit_projs = 9;`

### getImplicitProjs

boolean getImplicitProjs​(int index)

     [ONLY IF GDCJOIN] implicitly project gdc keys [(for left child, for right child), ...] each

`repeated bool implicit_projs = 9;`

### getImplicitValProjsList

List<Boolean> getImplicitValProjsList()

     [ONLY IF GDCJOIN] implicitly project gdc vals for each lookup child

`repeated bool implicit_val_projs = 13;`

### getImplicitValProjsCount

int getImplicitValProjsCount()

     [ONLY IF GDCJOIN] implicitly project gdc vals for each lookup child

`repeated bool implicit_val_projs = 13;`

### getImplicitValProjs

boolean getImplicitValProjs​(int index)

     [ONLY IF GDCJOIN] implicitly project gdc vals for each lookup child

`repeated bool implicit_val_projs = 13;`

### getLookupOutputsReplacementColList

List<Boolean> getLookupOutputsReplacementColList()

     [ONLY IF GDCJOIN] mark which lookup children output specially named replacement cols at the back of this op's outputColumns

`repeated bool lookup_outputs_replacement_col = 14;`

### getLookupOutputsReplacementColCount

int getLookupOutputsReplacementColCount()

     [ONLY IF GDCJOIN] mark which lookup children output specially named replacement cols at the back of this op's outputColumns

`repeated bool lookup_outputs_replacement_col = 14;`

### getLookupOutputsReplacementCol

boolean getLookupOutputsReplacementCol​(int index)

     [ONLY IF GDCJOIN] mark which lookup children output specially named replacement cols at the back of this op's outputColumns

`repeated bool lookup_outputs_replacement_col = 14;`

### getMatchNullKeysIdxesList

List<Long> getMatchNullKeysIdxesList()

     Which equi join conditions match null keys? The index here corresponds to join col position in join_cols

`repeated uint64 matchNullKeysIdxes = 10;`

### getMatchNullKeysIdxesCount

int getMatchNullKeysIdxesCount()

     Which equi join conditions match null keys? The index here corresponds to join col position in join_cols

`repeated uint64 matchNullKeysIdxes = 10;`

### getMatchNullKeysIdxes

long getMatchNullKeysIdxes​(int index)

     Which equi join conditions match null keys? The index here corresponds to join col position in join_cols

`repeated uint64 matchNullKeysIdxes = 10;`

### getProductMultiplex

boolean getProductMultiplex()

    Should we use a product multiplexer instead of a hash join multiplexer?

`bool productMultiplex = 11;`

### getCheckedExceptionColsList

List<String> getCheckedExceptionColsList()

     13 and 14 defined above

`repeated string checkedExceptionCols = 12;`

### getCheckedExceptionColsCount

int getCheckedExceptionColsCount()

     13 and 14 defined above

`repeated string checkedExceptionCols = 12;`

### getCheckedExceptionCols

String getCheckedExceptionCols​(int index)

     13 and 14 defined above

`repeated string checkedExceptionCols = 12;`

### getCheckedExceptionColsBytes

com.google.protobuf.ByteString getCheckedExceptionColsBytes​(int index)

     13 and 14 defined above

`repeated string checkedExceptionCols = 12;`